# pion::PionIdGeneratorBase< BaseGeneratorType > Class Template Reference

`#include <PionId.hpp>`

List of all members.

## Detailed Description

### template<typename BaseGeneratorType>
class pion::PionIdGeneratorBase< BaseGeneratorType >

PionIdGeneratorBase: class used to generate new PionId's

Definition at line 220 of file PionId.hpp.

## Public Types

typedef BaseGeneratorType | base_generator_type
| make dynamic type for base generator available
typedef boost::uniform_int< unsigned long > | distribution_type
| random number distribution type
typedef boost::variate_generator< base_generator_type, distribution_type > | gen_type
| random number generator type

## Public Member Functions

virtual | ~PionIdGeneratorBase ()
| class may be extended (virtual destructor)
| PionIdGeneratorBase (void)
| default constructor
PionId | operator() (void)
| returns a newly generated PionId object
gen_type & | getRNG (void)
| return random number generator
unsigned long | getNumber (void)
| return random number generator

## Protected Attributes

base_generator_type | m_random_gen
| random number generator
distribution_type | m_random_dist
| random number distribution
gen_type | m_random_die
| random number die

The documentation for this class was generated from the following file:

- common/include/pion/PionId.hpp